-- settings.lua
-- Written by Habna


-- **v Load settings v**
function LoadSettings()
	HBUsettings = {};
	HBUsettings = Turbine.PluginData.Load( Turbine.DataScope.Character, "HugeBagUtilitiesSettings" );
	
	if HBUsettings == nil then
		self:SetPosition( screenWidth - WWidth - 90, screenHeight - WHeight - 40 );
		SaveSettings();
	end

	if HBUsettings.Location == nil then
		HBUsettings.Location = {};
		HBUsettings.Location.X = screenWidth - WWidth - 90;
		HBUsettings.Location.Y = screenHeight - WHeight - 40;
	else
		if HBUsettings.Location.X == nil then
			HBUsettings.Location.X = screenWidth - WWidth - 90;
		end
		if HBUsettings.Location.Y == nil then
			HBUsettings.Location.Y = screenHeight - WHeight - 40;
		end
	end

	WLocX = HBUsettings.Location.X;
	WLocY = HBUsettings.Location.Y;

	-- **v Replace HugeBag Utilities if out of the screen on load v**
	if ( WLocX + WWidth ) > screenWidth then WinLocX = screenWidth - WWidth end
	if ( WLocY + WHeight ) > screenHeight then WinLocY = screenHeight - WHeight end
	-- **^

	if HBUsettings.Options == nil then
		HBUsettings.Options = {};
		HBUsettings.Options.Lock = false;
	else
		if HBUsettings.Options.Lock == nil then
			HBUsettings.Options.Lock = false;
		end
	end
	
	Lock = HBUsettings.Options.Lock;
	
	HBUsettings.Version = version;
	
	Turbine.PluginData.Save( Turbine.DataScope.Character, "HugeBagUtilitiesSettings", HBUsettings );
end
-- **^

-- **v Save settings v**
function SaveSettings()
	HBUsettings = {};
	
	HBUsettings.Location = {};
	HBUsettings.Location.X = self:GetLeft();
	HBUsettings.Location.Y = self:GetTop();

	HBUsettings.Options = {};
	HBUsettings.Options.Lock = Lock;

	HBUsettings.Version = version;

	Turbine.PluginData.Save( Turbine.DataScope.Character, "HugeBagUtilitiesSettings", HBUsettings );
end
-- **^