-- Wrapper.lua
-- written by PTweety


import "Turbine.UI.Lotro";
import "HabnaPlugins.HugeBag.Class";

HugeBagWrapper = class( Turbine.UI.Lotro.Window );

function HugeBagWrapper:Constructor()
	Turbine.UI.Lotro.Window.Constructor(self);

	self:SetWantsKeyEvents( true );

	Turbine.PluginManager.UnloadScriptState( "HugeBagUtilities" );

	self.KeyDown = function( sender, args )
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			Turbine.PluginManager.UnloadScriptState('HugeBag');
		end
		if ( args.Action == Turbine.UI.Lotro.Action.ToggleBags or
		     args.Action == Turbine.UI.Lotro.Action.ToggleBag1 or
			 args.Action == Turbine.UI.Lotro.Action.ToggleBag2 or
			 args.Action == Turbine.UI.Lotro.Action.ToggleBag3 or
			 args.Action == Turbine.UI.Lotro.Action.ToggleBag4 or
			 args.Action == Turbine.UI.Lotro.Action.ToggleBag5 )
		then
			self:TogglePlugin();
		end
	end
end

function HugeBagWrapper:TogglePlugin()
	Turbine.PluginManager.RefreshAvailablePlugins();
	local loaded_plugins = Turbine.PluginManager.GetLoadedPlugins();
	local loaded = false;

	for k,v in pairs(loaded_plugins) do
		if v.Name == "HugeBag" then
			loaded = true;
			break;
		end
	end

	if loaded then
		Turbine.PluginManager.UnloadScriptState('HugeBag');
	else
		Turbine.PluginManager.LoadPlugin('HugeBag');
	end
end

Turbine.Plugin.Unload = function( self, sender, args )
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack1, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack2, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack3, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack4, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack5, true );

	Turbine.PluginManager.UnloadScriptState( "HugeBag" );
end

bpw = HugeBagWrapper();